curl --request GET \
--url https://apigcp.trynia.ai/v2/contexts/{context_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"user_id": "<string>",
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"agent_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"organization_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"nia_references": {
"indexed_resources": [
{
"identifier": "<string>",
"resource_type": "<string>",
"purpose": "<string>",
"indexed_at": "<string>"
}
],
"search_queries": [
{
"query": "<string>",
"query_type": "<string>",
"key_findings": "<string>",
"resources_searched": [
"<string>"
],
"useful_results_count": 0
}
],
"session_summary": "<string>"
},
"edited_files": [
{
"file_path": "<string>",
"operation": "<string>",
"changes_description": "<string>",
"key_changes": [
"<string>"
],
"language": "<string>"
}
],
"memory_type": "episodic",
"expires_at": "2023-11-07T05:31:56Z",
"lineage": {
"created_at": "2023-11-07T05:31:56Z",
"source_ids": [
"<string>"
],
"confidence": 123,
"derived_from": [
"<string>"
],
"tool_calls": [
"<string>"
],
"model_version": "<string>"
},
"category_id": "<string>"
}Retrieve a specific context by ID.
curl --request GET \
--url https://apigcp.trynia.ai/v2/contexts/{context_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"user_id": "<string>",
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"agent_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"organization_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"nia_references": {
"indexed_resources": [
{
"identifier": "<string>",
"resource_type": "<string>",
"purpose": "<string>",
"indexed_at": "<string>"
}
],
"search_queries": [
{
"query": "<string>",
"query_type": "<string>",
"key_findings": "<string>",
"resources_searched": [
"<string>"
],
"useful_results_count": 0
}
],
"session_summary": "<string>"
},
"edited_files": [
{
"file_path": "<string>",
"operation": "<string>",
"changes_description": "<string>",
"key_changes": [
"<string>"
],
"language": "<string>"
}
],
"memory_type": "episodic",
"expires_at": "2023-11-07T05:31:56Z",
"lineage": {
"created_at": "2023-11-07T05:31:56Z",
"source_ids": [
"<string>"
],
"confidence": 123,
"derived_from": [
"<string>"
],
"tool_calls": [
"<string>"
],
"model_version": "<string>"
},
"category_id": "<string>"
}API key must be provided in the Authorization header
Successful Response
Response model for context operations.
Structured tracking of NIA resources used during conversation.
Show child attributes
Show child attributes
scratchpad, episodic, fact, procedural Provenance tracking for content artifacts.
Show child attributes
Was this page helpful?